#!/bin/bash

# Log rotation
DIR=${HOME}/proxmaster
LOG_FILE="${DIR}/log/proxmaster.log"

mkdir -p $DIR/log

TIME=`date -u +%s`

if [ -e $LOG_FILE ] ; then
    mv ${LOG_FILE} ${LOG_FILE}.${TIME} && touch ${LOG_FILE}
else
    touch ${LOG_FILE}
fi

cd $DIR

#startuwsgi instance
uwsgi --logdate --daemonize log/uwsgi.log --ini config.ini
